import http from '@/utils/request';
import { url } from '@/utils/url';

export function getQcWaitCheckSampleTaskList(query: any): Promise<any> {
  return http.get(url.lanjuquality.ProductSample.getQcWaitCheckSampleTaskList, {
    params: query,
  });
}

export function updateQcCheckSampleTask(data: any): Promise<any> {
  return http.put(url.lanjuquality.ProductSample.updateQcCheckSampleTask, data);
}

/**
 * 获取部门列表
 * **/
export function getDeptList(): Promise<any> {
  return http.get(url.lanjuquality.Materialinspection.getDictData, {
    params: {
      dictType: 'oa_sqbm',
    },
  });
}

/**
 * 获取异常范围
 * **/
export function getExcRangeList(): Promise<any> {
  return http.get(url.lanjuquality.Materialinspection.getDictData, {
    params: {
      dictType: 'oa_cq_f',
    },
  });
}

/**
 * 获取异常范围
 * **/
export function getWorkshopList(): Promise<any> {
  return http.get(url.lanjuquality.Materialinspection.getDictData, {
    params: {
      dictType: 'oa_sccj',
    },
  });
}

/**
 * 获取主管列表
 * **/
export function getManagerList(): Promise<any> {
  return http.post(url.lanjuquality.Materialinspection.getstorge, {
    deptId: '10000773',
  });
}

/**
 * 获取主管列表
 * **/
export function submitCheckSampleTaskZl0030(data : any): Promise<any> {
  return http.post(url.lanjuquality.ProductSample.submitCheckSampleTaskZl0030, data);
}